Chat
Send a chat message in a room
Authorization
tenant-api-key x-api-key<token>
Tenant API key (backend only — never expose to a browser)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/chat/messages" \ -H "Content-Type: application/json" \ -d '{ "roomId": "clxyz...", "content": "Hello everyone!", "senderExternalId": "user_abc123", "senderName": "Dr. Smith" }'{ "id": "string", "roomId": "string", "participantId": {}, "content": "string", "messageType": "TEXT", "fileUrl": {}, "fileName": {}, "fileSize": {}, "fileMimeType": {}, "senderExternalId": {}, "senderName": {}, "recipientExternalId": {}, "recipientName": {}, "isDeleted": true, "deletedBy": {}, "replyToId": {}, "createdAt": "2019-08-24T14:15:22Z", "replyTo": { "id": "string", "content": "string", "senderName": {} }, "reactions": [ "string" ]}